Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$2.7 / 1k sellers Get Amazon seller info — name, ratings, review count, store URL — from product or category URLs

Endpoint

POST /api/v1/agents/amazon/sellers/run

Parameters

urls
array
required
List · Amazon URLs — product (/dp/…) or search URLs (/s?k=…). One per line.
maxResults
integer
default:50
Number · Sellers/products per URL. Use 0 for all.
scrapeOffers
boolean
default:false
Toggle · When ON, returns every seller offering each product (not just the main seller). For competitive seller analysis.

Response columns

FieldDisplay nameType
sourceUrlSource URLurl
sellerUrlSeller URLurl
sellerNameSeller Nametext
sellerIdSeller IDtext
sellerReviewsSeller Reviewsnumber
sellerRatingSeller Ratingrating
productTitleProduct Titletext
productUrlProduct URLurl
asinASINtext
brandBrandtext
pricePricecurrency
currencyCurrencytext
starsStarsrating
productReviewsProduct Reviewsnumber
inStockIn Stockboolean
productImageProduct Imageurl
conditionConditiontext
positionPositionnumber
deliveryDeliverytext
fastestDeliveryFastest Deliverytext
shipsFromShips Fromtext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/amazon/sellers/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "urls": [
      "https://www.amazon.com/dp/B0DM1RCBHR"
    ],
    "scrapeOffers": true,
    "maxResults": 10
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "sourceUrl": "https://www.amazon.com/dp/B0DM1RCBHR",
      "sellerUrl": "https://www.amazon.com/gp/aag/main?ie=UTF8&seller=A2GKOXTPZV7SMA&isAmazonFulfilled=1&asin=B0DM1RCBHR&ref_=olp_merch_name_0",
      "sellerName": "Mobiles International",
      "sellerId": "A2GKOXTPZV7SMA",
      "sellerReviews": 20876,
      "sellerRating": 4.95,
      "productTitle": "SAMSUNG Galaxy A16 4G LTE (128GB + 4GB) International Model SM-A165F/DS Factory Unlocked 6.7\" Dual Sim 50MP Dual Cam (Case Bundle) (Light Green)",
      "productUrl": "https://www.amazon.com/gp/product/B0DM1RCBHR?smid=A2GKOXTPZV7SMA",
      "asin": "B0DM1RCBHR",
      "brand": "Samsung",
      "price": 147.99,
      "currency": "$",
      "stars": 4.3,
      "productReviews": 4241,
      "inStock": true,
      "productImage": "https://m.media-amazon.com/images/I/61cmlEY2jsL._AC_SY300_SX300_QL70_FMwebp_.jpg",
      "condition": "New",
      "position": 1,
      "delivery": "Friday, May 15",
      "fastestDelivery": "Tomorrow, May 11",
      "shipsFrom": "Amazon.com"
    }
  ]
}